XMLSchemaFactory (Xerces2 Implementation)
Keywords: org.apache.xerces.jaxp.validation.XMLSchemaFactory class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.jaxp.validation
Class XMLSchemaFactory

    java.lang.Object
      javax.xml.validation.SchemaFactory
          org.apache.xerces.jaxp.validation.XMLSchemaFactory

    public final class XMLSchemaFactory

extends javax.xml.validation.SchemaFactory

`SchemaFactory` for XML Schema.

Version:
  $Id: XMLSchemaFactory.java 1027335 2010-10-26 01:37:38Z mrglavas $
Author:
  Kohsuke Kawaguchi (kohsuke.kawaguchi@sun.com)

Constructor Summary
`XMLSchemaFactory()`

Method Summary
`org.xml.sax.ErrorHandler` | `getErrorHandler()`
`boolean` | `getFeature(java.lang.String name)`
`java.lang.Object` | `getProperty(java.lang.String name)`
`org.w3c.dom.ls.LSResourceResolver` | `getResourceResolver()`
`boolean` | `isSchemaLanguageSupported(java.lang.String schemaLanguage)` Is specified schema supported by this `SchemaFactory`?
`javax.xml.validation.Schema` | `newSchema()`
`javax.xml.validation.Schema` | `newSchema(javax.xml.transform.Source[] schemas)`
`javax.xml.validation.Schema` | `newSchema(org.apache.xerces.xni.grammars.XMLGrammarPool pool)`
`void` | `setErrorHandler(org.xml.sax.ErrorHandler errorHandler)`
`void` | `setFeature(java.lang.String name, boolean value)`
`void` | `setProperty(java.lang.String name, java.lang.Object object)`
`void` | `setResourceResolver(org.w3c.dom.ls.LSResourceResolver resourceResolver)`

Methods inherited from class javax.xml.validation.SchemaFactory
`newInstance, newSchema, newSchema, newSchema`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLSchemaFactory

    public XMLSchemaFactory()

Method Detail

### isSchemaLanguageSupported

    public boolean isSchemaLanguageSupported(java.lang.String schemaLanguage)

  Is specified schema supported by this `SchemaFactory`?

  Specified by:
    `isSchemaLanguageSupported` in class `javax.xml.validation.SchemaFactory`
  Parameters:
    `schemaLanguage` - Specifies the schema language which the returned `SchemaFactory` will understand. `schemaLanguage` must specify a valid schema language.
  Returns:
    `true` if `SchemaFactory` supports `schemaLanguage`, else `false`.
  Throws:
    `java.lang.NullPointerException` - If `schemaLanguage` is `null`.
    `java.lang.IllegalArgumentException` - If `schemaLanguage.length() == 0` or `schemaLanguage` does not specify a valid schema language.

### getResourceResolver

    public org.w3c.dom.ls.LSResourceResolver getResourceResolver()

  Specified by:
    `getResourceResolver` in class `javax.xml.validation.SchemaFactory`

### setResourceResolver

    public void setResourceResolver(org.w3c.dom.ls.LSResourceResolver resourceResolver)

  Specified by:
    `setResourceResolver` in class `javax.xml.validation.SchemaFactory`

### getErrorHandler

    public org.xml.sax.ErrorHandler getErrorHandler()

  Specified by:
    `getErrorHandler` in class `javax.xml.validation.SchemaFactory`

### setErrorHandler

    public void setErrorHandler(org.xml.sax.ErrorHandler errorHandler)

  Specified by:
    `setErrorHandler` in class `javax.xml.validation.SchemaFactory`

### newSchema

    public javax.xml.validation.Schema newSchema(javax.xml.transform.Source[] schemas)
                                          throws org.xml.sax.SAXException

  Specified by:
    `newSchema` in class `javax.xml.validation.SchemaFactory`
  Throws:
    `org.xml.sax.SAXException`

### newSchema

    public javax.xml.validation.Schema newSchema()
                                          throws org.xml.sax.SAXException

  Specified by:
    `newSchema` in class `javax.xml.validation.SchemaFactory`
  Throws:
    `org.xml.sax.SAXException`

### newSchema

    public javax.xml.validation.Schema newSchema(org.apache.xerces.xni.grammars.XMLGrammarPool pool)
                                          throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### getFeature

    public boolean getFeature(java.lang.String name)
                       throws org.xml.sax.SAXNotRecognizedException,
                              org.xml.sax.SAXNotSupportedException

  Overrides:
    `getFeature` in class `javax.xml.validation.SchemaFactory`
  Throws:
    `org.xml.sax.SAXNotRecognizedException`
    `org.xml.sax.SAXNotSupportedException`

### getProperty

    public java.lang.Object getProperty(java.lang.String name)
                                 throws org.xml.sax.SAXNotRecognizedException,
                                        org.xml.sax.SAXNotSupportedException

  Overrides:
    `getProperty` in class `javax.xml.validation.SchemaFactory`
  Throws:
    `org.xml.sax.SAXNotRecognizedException`
    `org.xml.sax.SAXNotSupportedException`

### setFeature

    public void setFeature(java.lang.String name,
                           boolean value)
                    throws org.xml.sax.SAXNotRecognizedException,
                           org.xml.sax.SAXNotSupportedException

  Overrides:
    `setFeature` in class `javax.xml.validation.SchemaFactory`
  Throws:
    `org.xml.sax.SAXNotRecognizedException`
    `org.xml.sax.SAXNotSupportedException`

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object object)
                     throws org.xml.sax.SAXNotRecognizedException,
                            org.xml.sax.SAXNotSupportedException

  Overrides:
    `setProperty` in class `javax.xml.validation.SchemaFactory`
  Throws:
    `org.xml.sax.SAXNotRecognizedException`
    `org.xml.sax.SAXNotSupportedException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.